%define upstream_name    Test-Run-Plugin-BreakOnFailure
%define upstream_version v0.0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Break on the first test failure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine) >= 0.12.0
BuildRequires: perl(Test::Run::CmdLine::Trap::ProveApp)
BuildRequires: perl(Test::Run::Core) >= 0.12.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
This is a the Test::Run::CmdLine manpage plugin that terminates the test
suite after the first failing test script. This way, you can know more
quickly in case something went wrong.

To enable, add 'BreakOnFailure' to the 'HARNESS_PLUGINS' environment
variable and set the 'HARNESS_BREAK' environment variable to a true value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.0.5-4pclos2017
- rebuild against updates

